routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');




Route::resource('kategoris', App\Http\Controllers\KategoriController::class);


Route::resource('produks', App\Http\Controllers\ProdukController::class);
Route::prefix('produks')->group(function () {
    Route::post('/add_stock', [App\Http\Controllers\ProdukController::class, 'add_stock'])->name('produks.add_stock');
    Route::get('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'harga_jual'])->name('produks.harga_jual');
    Route::post('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'update_harga_jual'])->name('produks.harga_jual.update');
});

Route::resource('detailUkuranProduks', App\Http\Controllers\DetailUkuranProdukController::class);


Route::resource('roles', App\Http\Controllers\RoleController::class);


Route::resource('karyawans', App\Http\Controllers\KaryawanController::class);
Route::prefix('karyawan')->group(
    function () {
        Route::get('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'getLogin'])->name('karyawan.login');
        Route::post('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogin'])->name('karyawan.post.login');
        Route::post('/logout', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogout'])->name('karyawan.logout');
    }
);

Route::resource('pelanggans', App\Http\Controllers\PelangganController::class);


Route::resource('tagihanans', App\Http\Controllers\TagihananController::class);


Route::resource('keuanganKeluars', App\Http\Controllers\KeuanganKeluarController::class);
Route::prefix('keuanganKeluars')->group(function () {
    Route::post('/validasi/{id}', [App\Http\Controllers\KeuanganKeluarController::class, 'validasi'])->name('keuanganKeluars.validasi');
});

Route::resource('transaksis', App\Http\Controllers\TransaksiController::class);


Route::resource('detailTransaksis', App\Http\Controllers\DetailTransaksiController::class);


Route::resource('detailPembayarans', App\Http\Controllers\DetailPembayaranController::class);


Route::resource('detailBeliProduks', App\Http\Controllers\DetailBeliProdukController::class);


Route::resource('keranjangs', App\Http\Controllers\KeranjangController::class);
Route::prefix('jurnal_harian')->group(function () {
    Route::get('/', [App\Http\Controllers\JurnalHarianController::class, 'index'])->name('jurnal_harian.index');
    Route::get('/keuangan_masuk', [App\Http\Controllers\JurnalHarianController::class, 'keuangan_masuk'])->name('jurnal_harian.keuangan_masuk');
    Route::post('/', [App\Http\Controllers\JurnalHarianController::class, 'store'])->name('jurnal_harian.store');
});
Route::prefix('laporan')->group(function () {
    Route::get('/', [App\Http\Controllers\LaporanController::class, 'index'])->name('laporan.index');
});

app/Models/KeuanganKeluar.php
<?php

namespace App\Models;

use Eloquent as Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class KeuanganKeluar
 * @package App\Models
 * @version July 21, 2022, 2:27 pm UTC
 *
 * @property string $jenis
 * @property integer $total
 * @property string $keterangan
 * @property string $foto
 */
class KeuanganKeluar extends Model
{

    use HasFactory;

    public $table = 'keuangan_keluars';




    public $fillable = [
        'nama',
        'jenis',
        'total',
        'keterangan',
        'foto',
        'validasi',
        'foregin_id'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'jenis' => 'string',
        'total' => 'integer',
        'keterangan' => 'string',
        'foto' => 'string',
        'validasi' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'jenis' => 'required|string',
        'total' => 'required|numeric',
        'keterangan' => 'nullable|string',
        'foto' => 'required|file'
    ];

    /**
     * Get all of the detailBeliProduk for the KeuanganKeluar
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function detailBeliProduk()
    {
        return $this->hasMany(DetailBeliProduk::class, 'keuangan_keluar_id', 'id');
    }
}

app/Http/Controllers/KeuanganKeluarController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateKeuanganKeluarRequest;
use App\Http\Requests\UpdateKeuanganKeluarRequest;
use App\Http\Controllers\AppBaseController;
use App\Models\Karyawan;
use App\Models\KeuanganKeluar;
use App\Models\Tagihanan;
use Illuminate\Http\Request;
use Flash;
use Illuminate\Support\Facades\Storage;
use Response;

class KeuanganKeluarController extends AppBaseController
{
    public function __construct()
    {
        $this->jenis =
            ['tagihan' => 'tagihan',  'gaji karyawan' => 'gaji karyawan', 'lain lain' => 'lain lain'];
    }
    /**
     * Display a listing of the KeuanganKeluar.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function index(Request $request)
    {
        /** @var KeuanganKeluar $keuanganKeluars */
        $keuanganKeluars = KeuanganKeluar::all();
        $months = [
            "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"
        ];
        $keuanganKeluarPerMonth = [];
        for ($i = 0; $i < count($months); $i++) {
            $this->month = $i + 1;
            $perMonth = KeuanganKeluar::WhereYear('updated_at', date('Y'))->WhereMonth('updated_at', $this->month)
                ->where('validasi', 1)
                ->pluck('total')
                ->sum();
            array_push($keuanganKeluarPerMonth, $perMonth);
        }
        $keuanganKeluarPerMonth = json_encode($keuanganKeluarPerMonth, JSON_PRETTY_PRINT);

        return view('keuangan_keluars.index', compact('keuanganKeluarPerMonth', 'months'))
            ->with('keuanganKeluars', $keuanganKeluars);
    }

    /**
     * Show the form for creating a new KeuanganKeluar.
     *
     * @return Response
     */
    public function create()
    {
        $tagihans = Tagihanan::all();
        $karyawans = Karyawan::all();
        $jenisKeuangan = $this->jenis;
        return view('keuangan_keluars.create', compact(['tagihans', 'karyawans', 'jenisKeuangan']));
    }

    /**
     * Store a newly created KeuanganKeluar in storage.
     *
     * @param CreateKeuanganKeluarRequest $request
     *
     * @return Response
     */
    public function store(CreateKeuanganKeluarRequest $request)
    {
        Storage::disk('public')->put('keuangan-keluar/' . $request->foto->getClientOriginalName(), file_get_contents($request->foto));
        // dd($request->all());
        $input = $request->all();
        if ($request->jenis == 'tagihan') {
            $input['foregin_id'] = $request->tagihan;
        }
        if ($request->jenis == 'gaji karyawan') {
            $input['foregin_id'] = $request->karyawan;
        }
        $input['validasi'] = 1;
        $input['foto'] = $request->foto->getClientOriginalName();
        $kategori = KeuanganKeluar::create($input);

        Flash::success('Keuangan Keluar saved successfully.');

        return redirect(route('keuanganKeluars.index'));
    }

    /**
     * Display the specified KeuanganKeluar.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        /** @var KeuanganKeluar $keuanganKeluar */
        $keuanganKeluar = KeuanganKeluar::find($id);

        if (empty($keuanganKeluar)) {
            Flash::error('Keuangan Keluar not found');

            return redirect(route('keuanganKeluars.index'));
        }

        return view('keuangan_keluars.show')->with('keuanganKeluar', $keuanganKeluar);
    }
    public function validasi($id)
    {
        $keuanganKeluar = KeuanganKeluar::find($id);
        if (empty($keuanganKeluar)) {
            Flash::error('Keuangan Keluar not found');

            return redirect(route('keuanganKeluars.index'));
        }

        $keuanganKeluar->validasi = true;
        $keuanganKeluar->save();

        Flash::success('Keuangan Keluar updated validasi successfully.');

        return redirect(route('keuanganKeluars.index'));
    }

    /**
     * Show the form for editing the specified KeuanganKeluar.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        /** @var KeuanganKeluar $keuanganKeluar */
        $keuanganKeluar = KeuanganKeluar::find($id);

        if (empty($keuanganKeluar)) {
            Flash::error('Keuangan Keluar not found');

            return redirect(route('keuanganKeluars.index'));
        }

        return view('keuangan_keluars.edit')->with('keuanganKeluar', $keuanganKeluar);
    }

    /**
     * Update the specified KeuanganKeluar in storage.
     *
     * @param int $id
     * @param UpdateKeuanganKeluarRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateKeuanganKeluarRequest $request)
    {
        /** @var KeuanganKeluar $keuanganKeluar */
        $keuanganKeluar = KeuanganKeluar::find($id);

        if (empty($keuanganKeluar)) {
            Flash::error('Keuangan Keluar not found');

            return redirect(route('keuanganKeluars.index'));
        }
        Storage::disk('public')->put('keuangan-keluar/' . $request->foto->getClientOriginalName(), file_get_contents($request->foto));
        $keuanganKeluar->fill($request->all());
        $keuanganKeluar->foto = $request->foto->getClientOriginalName();
        $keuanganKeluar->validasi = true;
        $keuanganKeluar->save();

        Flash::success('Keuangan Keluar updated successfully.');

        return redirect(route('keuanganKeluars.index'));
    }

    /**
     * Remove the specified KeuanganKeluar from storage.
     *
     * @param int $id
     *
     * @throws \Exception
     *
     * @return Response
     */
    public function destroy($id)
    {
        /** @var KeuanganKeluar $keuanganKeluar */
        $keuanganKeluar = KeuanganKeluar::find($id);

        if (empty($keuanganKeluar)) {
            Flash::error('Keuangan Keluar not found');

            return redirect(route('keuanganKeluars.index'));
        }

        $keuanganKeluar->delete();

        Flash::success('Keuangan Keluar deleted successfully.');

        return redirect(route('keuanganKeluars.index'));
    }
}

resources/views/keuangan_keluars/create.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Create Keuangan Keluar</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::open(['route' => 'keuanganKeluars.store', 'files' => true]) !!}

            <div class="card-body">

                <div class="row">
                    @include('keuangan_keluars.fields')
                </div>

            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('keuanganKeluars.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/keuangan_keluars/edit.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Add Bukti {{ $keuanganKeluar->nama }}</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::model($keuanganKeluar, [
                'route' => ['keuanganKeluars.update', $keuanganKeluar->id],
                'method' => 'patch',
                'files' => true,
            ]) !!}

            <div class="card-body">
                <div class="row">
                    <!-- Jenis Field -->
                    <div class="form-group col-sm-6">
                        {!! Form::label('nama', 'nama :') !!}
                        {!! Form::text('nama', $keuanganKeluar->nama, ['class' => 'form-control', 'disabled']) !!}
                    </div>
                    <!-- Total Field -->
                    <div class="form-group col-sm-6">
                        {!! Form::label('total', 'Total:') !!}
                        {!! Form::number('total', $keuanganKeluar->total, ['class' => 'form-control', 'readonly']) !!}
                    </div>
                    <!-- Total Field -->
                    <div class="form-group col-sm-6">
                        {!! Form::label('jenis', 'Total:') !!}
                        {!! Form::text('jenis', $keuanganKeluar->jenis, ['class' => 'form-control', 'readonly']) !!}
                    </div>
                    <input type="hidden" name="validasi" value="true">

                    <!-- Foto Field -->
                    <div class="form-group col-sm-6">
                        {!! Form::label('foto', 'Foto:') !!}
                        <div class="input-group">
                            <div class="custom-file">
                                {!! Form::label('foto', 'Choose file', ['class' => 'custom-file-label']) !!}
                                {!! Form::file('foto', ['class' => 'custom-file-input']) !!}
                            </div>
                        </div>
                    </div>

                    <!-- Keterangan Field -->
                    <div class="form-group col-sm-12 col-lg-12">
                        {!! Form::label('keterangan', 'Keterangan:') !!}
                        {!! Form::textarea('keterangan', $keuanganKeluar->keterangan, ['class' => 'form-control']) !!}
                    </div>


                    <div class="clearfix"></div>
                </div>
            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('keuanganKeluars.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/keuangan_keluars/fields.blade.php
<!-- Jenis Field -->
<div class="form-group col-sm-6">
    {!! Form::label('jenis', 'Jenis:') !!}
    {!! Form::select('jenis', $jenisKeuangan, null, [
        'class' => 'form-control custom-select',
    ]) !!}
</div>
<div class="form-group col-sm-6">
    {!! Form::label('nama', 'Nama :') !!}
    {!! Form::text('nama', null, ['class' => 'form-control']) !!}
</div>
<div class="form-group col-sm-6"id="tagihan" style="display:none;">
    {!! Form::label('tagihan', 'Tagihan:') !!}
    <select class="form-control custom-select" id="tagihan" name="tagihan">
        <option value="" disabled selected hidden>Pilih tagihan</option>
        @foreach ($tagihans as $tagihan)
            <option value="{{ $tagihan->id }}" data-jumlah="{{ $tagihan->jumlah }}">{{ $tagihan->nama }}
            </option>
        @endforeach
    </select>
</div>
<div class="form-group col-sm-6" id="gaji-karyawan"style="display:none;">
    {!! Form::label('karyawan', 'Karyawan:') !!}
    <select class="form-control custom-select" id="karyawan" name="karyawan">
        <option value="" disabled selected hidden>Pilih gaji karyawan</option>
        @foreach ($karyawans as $karyawan)
            <option value="{{ $karyawan->id }}" data-gaji="{{ $karyawan->gaji }}">{{ $karyawan->nama }}
            </option>
        @endforeach
    </select>
</div>

<div class="row col-sm-12" id="lain-lain"style="display:none;">
    <!-- Keterangan Field -->
    <div class="form-group col-sm-12 col-lg-12">
        {!! Form::label('keterangan', 'Keterangan:') !!}
        {!! Form::textarea('keterangan', null, ['class' => 'form-control']) !!}
    </div>
</div>
<div class="form-group col-sm-6">
    {!! Form::label('total', 'Total :') !!}
    {!! Form::number('total', null, ['class' => 'form-control', 'readonly']) !!}
</div>

<!-- Foto Field -->
<div class="form-group col-sm-6">
    {!! Form::label('foto', 'Foto:') !!}
    <div class="input-group">
        <div class="custom-file">
            {!! Form::file('foto', ['class' => 'custom-file-input']) !!}
            {!! Form::label('foto', 'Choose file', ['class' => 'custom-file-label']) !!}
        </div>
    </div>
</div>
<div class="clearfix"></div>
@push('page_scripts')
    <script>
        $(document).ready(function() {
            $('select[name="jenis"]').on('change', (e) => {
                var jenis = e.target.value;
                if (jenis == 'tagihan') {
                    $('#tagihan').show();
                    $('#gaji-karyawan').hide();
                    $('#lain-lain').hide();
                    $('select[name="tagihan"]').on('change', (e) => {
                        var tagihan = e.target.value;
                        $('input[name="total"]').val($('select[name="tagihan"] option:selected')
                            .data('jumlah'));
                        $('input[name="nama"]').val('Tagihan ' + $(
                                'select[name="tagihan"] option:selected')
                            .text());
                    });
                } else if (jenis == 'gaji karyawan') {
                    $('#tagihan').hide();
                    $('#gaji-karyawan').show();
                    $('#lain-lain').hide();
                    $('select[name="karyawan"]').on('change', (e) => {
                        var karyawan = e.target.value;
                        $('input[name="total"]').val($('select[name="karyawan"] option:selected')
                            .data('gaji'));
                        $('input[name="nama"]').val('Bayar Gaji ' + $(
                                'select[name="karyawan"] option:selected')
                            .text());
                    });
                } else {
                    $('#tagihan').hide();
                    $('#gaji-karyawan').hide();
                    $('#lain-lain').show();
                }
            });
        });
    </script>
@endpush

resources/views/keuangan_keluars/index.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Keuangan Keluars</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-primary float-right" href="{{ route('keuanganKeluars.create') }}">
                        Add New
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('flash::message')

        <div class="clearfix"></div>

        <div class="card">
            <div class="card-header border-0">
                <div class="d-flex justify-content-between">
                    <h3 class="card-title">Graph Keuangan Keluar yang Tervalidasi (Bulan)</h3>
                    <a href="javascript:void(0);"></a>
                </div>
            </div>
            <div class="position-relative mb-4">
                <canvas id="keuangan-chart" height="80"></canvas>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body p-0">
            @include('keuangan_keluars.table')

            <div class="card-footer clearfix">
                <div class="float-right">

                </div>
            </div>
        </div>

    </div>
    </div>
@endsection
@push('page_scripts')
    <script>
        const ctx = document.getElementById('keuangan-chart').getContext('2d');
        const myChart = new Chart(ctx, {
            type: 'bar',
            data: {
                labels: {!! json_encode($months) !!},
                datasets: [{
                    label: 'Keuangan Keluar',
                    data: {!!$keuanganKeluarPerMonth !!},
                    backgroundColor: 'rgba(255, 99, 132, 0.2)',
                    borderColor: 'rgba(255, 99, 132, 1)',
                    borderWidth: 1
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    </script>
@endpush

resources/views/keuangan_keluars/show.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Validasi {{ $keuanganKeluar->nama }}</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-default float-right" href="{{ route('keuanganKeluars.index') }}">
                        Back
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">
        <div class="card">
            {!! Form::open(['route' => ['keuanganKeluars.validasi',$keuanganKeluar->id], 'files' => true]) !!}
            <div class="card-body">
                <div class="row">
                    <div class="row col-sm-6">
                        <div class="col-sm-12">
                            {!! Form::label('nama', 'nama:') !!}
                            <p>{{ $keuanganKeluar->nama }}</p>
                        </div>
                        <div class="col-sm-12">
                            {!! Form::label('total', 'total:') !!}
                            <p>Rp. {{ $keuanganKeluar->total }}</p>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        {!! Form::label('bukti pembelian', 'bukti pembelian:') !!}
                        <div class="col-md-12">
                            <div class="form-group row justify-content-center">
                                <img class="boxed--rectangle--detail"
                                    src="{{ asset('storage/keuangan-keluar/' . $keuanganKeluar->foto) }}" />
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        {!! Form::label('pembelian', 'Pembelian :') !!}
                        @foreach ($keuanganKeluar->detailBeliProduk as $item)
                            <div class="form-group fieldGroup col-12" data-id="1">
                                <div class="input-group">
                                    {!! Form::text('', 'Produk : ' . $item->detailUkuranProduk->produk->nama, [
                                        'class' => 'form-control',
                                        'placeholder' => 'Stock',
                                        'readonly',
                                    ]) !!}
                                    {!! Form::text('', 'Ukuran : ' . $item->detailUkuranProduk->ukuran, [
                                        'class' => 'form-control',
                                        'placeholder' => 'Ukuran',
                                        'readonly',
                                    ]) !!}
                                    {!! Form::text('[]', 'Jumlah : ' . $item->stock, [
                                        'class' => 'form-control',
                                        'placeholder' => 'Jumlah',
                                        'readonly',
                                    ]) !!}
                                    {!! Form::text('[]', 'Harga : ' . $item->harga_beli, [
                                        'class' => 'form-control',
                                        'placeholder' => 'Harga Beli',
                                        'readonly',
                                    ]) !!}
                                </div>
                            </div>
                        @endforeach
                    </div>
                    <div class="card-footer">
                        {!! Form::submit('Validasi', ['class' => 'btn btn-primary']) !!}
                        <a href="{{ route('keuanganKeluars.index') }}" class="btn btn-default">Cancel</a>
                    </div>

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/keuangan_keluars/table.blade.php
<div class="table-responsive">
    <table class="table" id="keuanganKeluars-table">
        <thead>
            <tr>
                <th>Tanggal</th>
                <th>Nama</th>
                <th>Jenis</th>
                <th>Keterangan</th>
                <th>Total</th>
                <th colspan="3">Action</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($keuanganKeluars as $keuanganKeluar)
                <tr>
                    <td>{{ $keuanganKeluar->created_at->format('d/m/Y') }}</td>
                    <td>{{ $keuanganKeluar->nama }}</td>
                    <td>{{ $keuanganKeluar->jenis }}</td>
                    <td>{{ $keuanganKeluar->keterangan ?? ($keuanganKeluar->validasi ? 'sudah validasi' : 'belum validasi') }}
                    </td>
                    <td>{{ $keuanganKeluar->total }}</td>
                    <td width="120">
                        @if ($keuanganKeluar->validasi == 0)
                            {!! Form::open(['route' => ['keuanganKeluars.destroy', $keuanganKeluar->id], 'method' => 'delete']) !!}
                            <div class='btn-group'>
                                @if ($keuanganKeluar->jenis == 'pembelian produk')
                                    <a href="{{ route('keuanganKeluars.show', [$keuanganKeluar->id]) }}"
                                        class='btn btn-default btn-xs'>
                                        <i class="far fa-eye"></i>
                                    </a>
                                @else
                                    <a href="{{ route('keuanganKeluars.edit', [$keuanganKeluar->id]) }}"
                                        class='btn btn-default btn-xs'>
                                        <i class="far fa-edit"></i>
                                    </a>
                                    {!! Form::button('<i class="far fa-trash-alt"></i>', [
                                        'type' => 'submit',
                                        'class' => 'btn btn-danger btn-xs',
                                        'onclick' => "return confirm('Are you sure?')",
                                    ]) !!}
                                @endif
                            </div>
                            {!! Form::close() !!}
                        @endif

                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>